<sensors-header (toggleSidenav)="toggleSide()"></sensors-header>

<mat-sidenav-container>
  <mat-sidenav #sideNav align="start" mode="{{navMode}}" opened="true" class="mat-elevation-z1">
    <!-- sidenav content -->
    <sensors-nav [menu]="menu"></sensors-nav>
  </mat-sidenav>

  <!-- primary content -->
  <mat-sidenav-content>
    <main class="content mat-elevation-z1">
      <router-outlet></router-outlet>
    </main>
    <sensors-footer [environment]="environment"></sensors-footer>
  </mat-sidenav-content>
</mat-sidenav-container>
